
var mLayer = function(ev){
	$('.m_layer').removeClass('show');
	$('.m_layer').children().removeClass('show');
	ev.preventDefault();
}
var common = {
	init: function(){
		this.mLayer();
	},

	isTrue: function(bl,fn){
		bl && fn && fn(this);
	},

	// 判断是否有效点击
	isMove: function(obg,fn,b){
		bOk = true;

		$(obg).on('touchstart',function(){
			bOk = true;
		});

		$(document).on('touchmove',function(){
			bOk = false;
		});

		$(obg).on('touchend',function(ev){
			if(!bOk) return;
			fn(this,ev);
			if(b)return false;
		});
	},

	mLayer: function(){
		this.isTrue($('.m_layer')[0],function(){
			$('.m_layer').on('touchmove',function(ev){
				ev.preventDefault();
			});			
		})

		this.isMove($('.m_layer'),function(_this,ev){
			mLayer(ev);
		});
	}
};

common.init();